public static interface CometdEndpointBuilderFactory.CometdBuilders
| Modifier and Type | Method and Description |
|---|---|
default CometdEndpointBuilderFactory.CometdEndpointBuilder |
cometd(String path)
CometD (camel-cometd)
Offers publish/subscribe, peer-to-peer (via a server), and RPC style
messaging using the CometD/Bayeux protocol.
|
default CometdEndpointBuilderFactory.CometdEndpointBuilder |
cometd(String componentName,
String path)
CometD (camel-cometd)
Offers publish/subscribe, peer-to-peer (via a server), and RPC style
messaging using the CometD/Bayeux protocol.
|
default CometdEndpointBuilderFactory.CometdEndpointBuilder |
cometds(String path)
CometD (Secure) (camel-cometd)
Offers publish/subscribe, peer-to-peer (via a server), and RPC style
messaging using the CometD/Bayeux protocol.
|
default CometdEndpointBuilderFactory.CometdEndpointBuilder cometd(String path)
cometd:host:port/channelName
Path parameter: host (required)
Hostname
Path parameter: port (required)
Host port number
Path parameter: channelName (required)
The channelName represents a topic that can be subscribed to by the
Camel endpoints.path - host:port/channelNamedefault CometdEndpointBuilderFactory.CometdEndpointBuilder cometd(String componentName, String path)
cometd:host:port/channelName
Path parameter: host (required)
Hostname
Path parameter: port (required)
Host port number
Path parameter: channelName (required)
The channelName represents a topic that can be subscribed to by the
Camel endpoints.componentName - to use a custom component name for the endpoint
instead of the default namepath - host:port/channelNamedefault CometdEndpointBuilderFactory.CometdEndpointBuilder cometds(String path)
cometds:host:port/channelName
Path parameter: host (required)
Hostname
Path parameter: port (required)
Host port number
Path parameter: channelName (required)
The channelName represents a topic that can be subscribed to by the
Camel endpoints.path - host:port/channelNameApache Camel